ListVolumes
curl --request POST \
--url https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"pageSize": 123,
"pageToken": "<string>",
"names": [
"<string>"
],
"query": "<string>",
"creators": [
"<string>"
],
"includeCreators": true,
"includePermissions": true
}
'import requests
url = "https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes"
payload = {
"pageSize": 123,
"pageToken": "<string>",
"names": ["<string>"],
"query": "<string>",
"creators": ["<string>"],
"includeCreators": True,
"includePermissions": True
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
pageSize: 123,
pageToken: '<string>',
names: ['<string>'],
query: '<string>',
creators: ['<string>'],
includeCreators: true,
includePermissions: true
})
};
fetch('https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pageSize' => 123,
'pageToken' => '<string>',
'names' => [
'<string>'
],
'query' => '<string>',
'creators' => [
'<string>'
],
'includeCreators' => true,
'includePermissions' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Connect-Protocol-Version: <connect-protocol-version>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes"
payload := strings.NewReader("{\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"names\": [\n \"<string>\"\n ],\n \"query\": \"<string>\",\n \"creators\": [\n \"<string>\"\n ],\n \"includeCreators\": true,\n \"includePermissions\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"names\": [\n \"<string>\"\n ],\n \"query\": \"<string>\",\n \"creators\": [\n \"<string>\"\n ],\n \"includeCreators\": true,\n \"includePermissions\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Connect-Protocol-Version"] = '<connect-protocol-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"names\": [\n \"<string>\"\n ],\n \"query\": \"<string>\",\n \"creators\": [\n \"<string>\"\n ],\n \"includeCreators\": true,\n \"includePermissions\": true\n}"
response = http.request(request)
puts response.read_body{
"volumes": [
{
"azure": {
"account": "<string>",
"container": "<string>",
"prefix": "<string>",
"credential": {
"name": "<string>",
"uid": "<string>"
}
},
"name": "<string>",
"uid": "<string>",
"description": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"size_bytes": "<string>",
"workspace": "<string>"
}
],
"nextPageToken": "<string>",
"creators": [
"<string>"
],
"manageableVolumes": [
"<string>"
]
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Volume
ListVolumes
POST
/
outerproduct.volume.v1.VolumeService
/
ListVolumes
ListVolumes
curl --request POST \
--url https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"pageSize": 123,
"pageToken": "<string>",
"names": [
"<string>"
],
"query": "<string>",
"creators": [
"<string>"
],
"includeCreators": true,
"includePermissions": true
}
'import requests
url = "https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes"
payload = {
"pageSize": 123,
"pageToken": "<string>",
"names": ["<string>"],
"query": "<string>",
"creators": ["<string>"],
"includeCreators": True,
"includePermissions": True
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
pageSize: 123,
pageToken: '<string>',
names: ['<string>'],
query: '<string>',
creators: ['<string>'],
includeCreators: true,
includePermissions: true
})
};
fetch('https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pageSize' => 123,
'pageToken' => '<string>',
'names' => [
'<string>'
],
'query' => '<string>',
'creators' => [
'<string>'
],
'includeCreators' => true,
'includePermissions' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Connect-Protocol-Version: <connect-protocol-version>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes"
payload := strings.NewReader("{\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"names\": [\n \"<string>\"\n ],\n \"query\": \"<string>\",\n \"creators\": [\n \"<string>\"\n ],\n \"includeCreators\": true,\n \"includePermissions\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"names\": [\n \"<string>\"\n ],\n \"query\": \"<string>\",\n \"creators\": [\n \"<string>\"\n ],\n \"includeCreators\": true,\n \"includePermissions\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.outerproduct.com/outerproduct.volume.v1.VolumeService/ListVolumes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Connect-Protocol-Version"] = '<connect-protocol-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"names\": [\n \"<string>\"\n ],\n \"query\": \"<string>\",\n \"creators\": [\n \"<string>\"\n ],\n \"includeCreators\": true,\n \"includePermissions\": true\n}"
response = http.request(request)
puts response.read_body{
"volumes": [
{
"azure": {
"account": "<string>",
"container": "<string>",
"prefix": "<string>",
"credential": {
"name": "<string>",
"uid": "<string>"
}
},
"name": "<string>",
"uid": "<string>",
"description": "<string>",
"created_by": "<string>",
"updated_by": "<string>",
"created_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"size_bytes": "<string>",
"workspace": "<string>"
}
],
"nextPageToken": "<string>",
"creators": [
"<string>"
],
"manageableVolumes": [
"<string>"
]
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Authorizations
A user session token or personal API key.
Headers
Define the version of the Connect protocol
Example:
1
Define the timeout, in ms
Example:
1000
Body
application/json
Match any listed resource name. Empty filters select all readable volumes.
Available options:
VOLUME_ORDER_UNSPECIFIED, VOLUME_ORDER_NAME_ASCENDING, VOLUME_ORDER_CREATED_DESCENDING, VOLUME_ORDER_SIZE_ASCENDING, VOLUME_ORDER_SIZE_DESCENDING Include distinct creators across all readable volumes.
Include permission hints for the returned page; operations still authorize.